Summary:        Measurement tool for TCP/UDP bandwidth performance
Name:           iperf3
Version:        3.15
Release:        1%{?dist}
License:        BSD
URL:            https://github.com/esnet/iperf
Source0:        https://github.com/esnet/iperf/archive/%{version}.tar.gz


BuildRequires:  gcc make
BuildRequires:  openssl-devel libuuid-devel lksctp-tools-devel

%description
iperf is a tool for active measurements of the maximum achievable bandwidth
on IP networks. It supports tuning of various parameters related to timing,
protocols, and buffers. For each test it reports the measured throughput / bitrate,
loss, and other parameters.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
This package provides libraries and header files for
developing applications that use %{name}.

%prep
%autosetup -n iperf-%{version} -p1

%build
%configure --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%make_build

%install
%make_install -C src INSTALL_DIR="%{buildroot}%{_bindir}"
rm -f %{buildroot}%{_libdir}/libiperf.la

%files
%license LICENSE
%doc README.md RELNOTES.md
%{_bindir}/iperf3
%{_libdir}/*.so.*
%{_mandir}/man1/iperf3.1.gz
%{_mandir}/man3/libiperf.3.gz

%files devel
%{_includedir}/iperf_api.h
%{_libdir}/*.so

%changelog
* Thu Nov 09 2023 Miaojun Dong <zoedong@tencent.com> - 3.15-1
- Upgrade to version 3.15
- Fix CVE-2023-38403

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.11-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.11-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.11-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Nov 28 2022 cunshunxia <cunshunxia@tencent.com> - 3.11-1
- initial build
